# Fund your financial account

Learn how to fund your financial account.

Before sending money, fund your financial account with external funds, from your Stripe payments balance, or from a crypto wallet. To add funds, you must have [administrator access](https://docs.stripe.com/get-started/account/teams/roles.md). Stripe requires two-factor authentication to add money for payouts.
 (See full diagram at https://docs.stripe.com/treasury/add-funds)
## Currency support 

This table shows which currencies you can add funds in, based on the location of your business and your representative.

USDC is the stablecoin balance currency. You fund it [from a crypto wallet](https://docs.stripe.com/treasury/add-funds.md#add-from-a-crypto-wallet) instead of from a bank account. Outside the United States, adding and holding USDC is in private preview. For details, see [Availability](https://docs.stripe.com/treasury/stablecoins.md#availability). For other things you can do with a stablecoin balance, see [Stablecoins](https://docs.stripe.com/treasury/stablecoins.md).

| Business and representative location | USD | USDC | GBP | EUR |
| --- | --- | --- | --- | --- |
| US legal entities with US representatives | ✓ Supported | ✓ Supported | ✓ Supported | ✓ Supported |
| US legal entities with international representatives | - Unsupported | ✓ Supported | - Unsupported | - Unsupported |
| UK legal entities with UK representatives | ✓ Supported | - Unsupported | ✓ Supported | ✓ Supported |
| International legal entities in eligible countries | - Unsupported | ✓ Supported | - Unsupported | - Unsupported |

## Funding methods 

You can fund your financial account in three ways:

- **Bank account**: Push funds by sending money from an external bank account, or pull funds by initiating a transfer from a verified bank account.
- **Crypto wallet**: Fund a USDC balance over a supported blockchain network.
- **Stripe balance**: Transfer available funds from your Stripe payments balance, either one time or on a recurring basis.

Availability of each method depends on your business’s location. The following tables show the funding methods available to you and how long funds typically take to become available.

In the US, funds in your financial account balance are eligible for FDIC insurance up to 250,000 USD.

| Funding method | Funds available | Where to initiate |
| --- | --- | --- |
| Add money from your external bank account | 0–3 business days | From your bank |
| (US) Pull funds from your external bank account | 2–6 business days | Stripe Dashboard |
| Add money from your available Stripe payments balance | Immediately | Stripe Dashboard |
| [Fund a USDC balance](https://docs.stripe.com/treasury/add-funds.md#add-from-a-crypto-wallet) over a supported blockchain network | Instant | From your crypto wallet |

For pricing to fund your financial account from a bank account or from your Stripe payments balance, see the [Treasury pricing page](https://stripe.com/pricing#treasury).

### Transaction cutoff times

| Funding method | Cutoff time |
| --- | --- |
| Wires | 5:00pm ET |
| ACH | 8:30pm ET |
| Same-day ACH | 1:00pm ET |

The following table shows the expected funding arrival date based on the submission date.

| Submission date (before cutoff time) | Expected arrival date (by end of business day) |  |
| --- | --- | --- |
|  | ACH | Wire |
| Monday | Tuesday | Monday |
| Tuesday | Wednesday | Tuesday |
| Wednesday | Thursday | Wednesday |
| Thursday | Friday | Thursday |
| Friday | Monday | Friday |
| Saturday | Tuesday | Monday |
| Sunday | Tuesday | Monday |

## Add funds from an external bank account 

You can add funds from an external bank account in two ways: push funds by sending money from your bank using your financial account’s local account details, or pull funds by initiating a transfer from a verified bank account in the Dashboard or API.

### Push funds from your external bank account 

You can send funds from an external bank account to fund your financial account. Each currency in your financial account has its own local account details and supported inbound payment methods.

| Currency | Account details | Supported inbound payment methods | Funding availability |
| --- | --- | --- | --- |
| USD | Routing and account number | ACH Credit, Fedwire, International ACH Transaction (IAT) | - ACH: 0–3 business days
- Wire transfer: Same day |
| GBP | Sort code and account number | Faster Payments (FPS), CHAPS | Same day |
| EUR | IBAN and BIC | SEPA Credit Transfer, SEPA Instant | - Credit Transfer: Same day
- Instant: Within 10 seconds |

> Funds must belong to you or your business. Adding funds from sources that don’t match the registered details on your account might lead to delays or funds being returned.

#### Dashboard

To find your account details in the Dashboard:

1. On the [Balances](https://dashboard.stripe.com/balances) page, click **Add funds**.
2. Select the financial account to add money to.
3. Select **Manually transfer from your bank** and click **Continue**.
4. Use the account details to send money through ACH, RTP, a wire, or other local payment methods from your bank.

#### API

Retrieve your FinancialAccount ID using the [Financial Account API v2](https://docs.stripe.com/api/v2/money-management/financial-accounts.md?api-version=preview).

```curl
curl https://api.stripe.com/v2/money_management/financial_accounts \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.preview"
```

Create a financial address by calling the [Financial Address API v2](https://docs.stripe.com/api/v2/money-management/financial-addresses.md?api-version=preview) and include your financial account ID.

```curl
curl -X POST https://api.stripe.com/v2/money_management/financial_addresses \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.preview" \
  --json '{
    "financial_account": "{{FINANCIALACCOUNTID_ID}}",
    "type": "us_bank_account"
  }'
```

Retrieve the financial address credentials by calling the [Financial Address API v2](https://docs.stripe.com/api/v2/money-management/financial-addresses.md?api-version=preview) again, including the `credentials` field using the `include` parameter.

```curl
curl -G https://api.stripe.com/v2/money_management/financial_addresses \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.preview" \
  -d "include[0]=credentials.us_bank_account.account_number"
```

Submit a request to your bank to send money using the financial address credentials you retrieved.

You can create up to five FinancialAddresses for your financial account. Funds that you send to these financial accounts are represented as a unified balance in the [FinancialAccount](https://docs.stripe.com/api/v2/financial-accounts.md).

### Pull funds from your external bank account  (US only)

You can pull funds from an external bank account to fund your financial account. You initiate this transfer each time you want to add funds (it isn’t an automated, regular transaction).

You must use a verified bank account to add funds. Funds are typically available within 2–6 business days, and pull funding is subject to the following limits:

- 50,000 USD per transaction
- 50,000 USD per day
- 100,000 USD per week

#### Add or verify a bank account 

To add a verified bank account:

1. On the [Balances](https://dashboard.stripe.com/balances) page, click **Add funds**.
2. Select the financial account to add money to.
3. Select **Linked bank account** from payment method and click **Add new bank account**.

You have two options to add and verify your bank account:

- Instant with [Financial Connections](https://docs.stripe.com/financial-connections.md): Use your bank credentials with Financial Connections to verify and connect your bank account.
- Manually with micro-deposits: Manually enter your bank account and routing numbers. Stripe sends microdeposit amounts that appear on your online banking statement within 1–2 business days, with the `ACCTVERIFY` statement description. Use these amounts to verify your account in the Dashboard. This manual verification timing is separate to any settlement timing for your funding transaction.

#### Pull funds into your financial account balance

#### Dashboard

You can pull funds into your financial account directly from the Dashboard.

1. On the [Balances](https://dashboard.stripe.com/balances) page, click **Add funds**.
2. Select the financial account to add money to.
3. Enter the amount to add.
4. Select **Linked bank account**.
5. Choose the bank account you want to send money from.
6. Click **Continue** to review your selections, then click **Top up**.

#### API

To make an [InboundTransfer](https://docs.stripe.com/api/v2/inbound-transfers.md?api-version=preview), you need your verified bank account ID and `FinancialAccount` ID.

To retrieve your verified bank account ID:

1. In the Dashboard, go to your bank accounts in [Settings](https://dashboard.stripe.com/settings/global-payouts).
2. Copy the bank account ID from a verified bank account.

Use the FinancialAccounts API to retrieve your FinancialAccount ID.

```curl
curl https://api.stripe.com/v2/money_management/financial_accounts \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.preview"
```

After you have the verified bank account ID and the FinancialAccount ID, initiate an InboundTransfer using the verified bank account ID in the `payment_method` field.

```curl
curl -X POST https://api.stripe.com/v2/money_management/inbound_transfers \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.preview" \
  --json '{
    "from": {
        "payment_method": "{{VERIFIED_BANK_ACCOUNT_ID}}"
    },
    "to": {
        "financial_account": "{{FINANCIALACCOUNTID_ID}}",
        "currency": "usd"
    },
    "amount": {
        "value": 300,
        "currency": "usd"
    }
  }'
```

Use the Inbound Transfers API v2 to retrieve your current and pending InboundTransfers.

```curl
curl https://api.stripe.com/v2/money_management/inbound_transfers \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.preview"
```

### View your account details 

You can share your local account details with others to receive one-time payments, such as investor funding, loans, or grants.

To find your local account details:

1. On the [Balances](https://dashboard.stripe.com/balances) page, click your financial account.
2. Click the relevant dropdown menu in the **Account details** section.

In this view, you can see the local account details for the selected currency.

## Add funds from a crypto wallet 

If you’re eligible for a [stablecoin balance](https://docs.stripe.com/treasury/store-funds.md#stablecoin-balances), you can add funds from your own crypto wallet. Stripe credits the funds to your stablecoin balance instead of a fiat balance. To move them into a fiat balance, see [Convert funds](https://docs.stripe.com/treasury/convert-funds.md#stablecoin-conversions).

This is a Dashboard flow. You generate a deposit address for one blockchain network, then send funds to it from your wallet.

1. On the [Balances](https://dashboard.stripe.com/balance/overview) overview, click **Add funds**.
2. Click **Crypto transfer**.
3. Select a blockchain network.
4. Copy the wallet address or scan the QR code with your crypto wallet.
5. Click **Done**.
6. From your crypto wallet, send the asset that the network you selected uses: USDC.e on Tempo, or USDC on the other supported networks.

> Send only the asset for the network you selected, and use the address that matches that network. For the full mapping, see [Stablecoin assets and networks](https://docs.stripe.com/treasury/transfer-send.md#stablecoin-assets).

To check whether Stripe received the funds, see [View funding status](https://docs.stripe.com/treasury/add-funds.md#view-funding-status).

## Transfer funds from your Stripe balance 

You can move available funds from your Stripe payments balance into your financial account, either as a one-time transfer or on a recurring basis.

### Transfer funds one time 

You can use the available funds in your Stripe payments balance to fund your financial account. You can only transfer funds that have settled, so unsettled funds aren’t eligible for transfer.

#### Dashboard

1. On the [Balances](https://dashboard.stripe.com/balances) page, click **Transfer**.
2. Select the payments balance to transfer from.
3. Select the financial account to transfer to.
4. Enter the amount to move.
5. Click **Review** to review your selections, then click **Transfer**.

#### API

Call the [Balance API v1](https://docs.stripe.com/api/balance/balance_retrieve.md?api-version=preview) to determine your available funds.

```curl
curl https://api.stripe.com/v1/balance \
  -u "<<YOUR_SECRET_KEY>>:"
```

Call the [Financial Account API v2](https://docs.stripe.com/api/v2/money-management/financial-accounts/list.md?api-version=preview) to get your Financial Account ID or find it in your [Dashboard Payout settings](https://dashboard.stripe.com/settings/payouts).

```curl
curl https://api.stripe.com/v2/money_management/financial_accounts \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.preview"
```

Call [Payouts API v1](https://docs.stripe.com/api/payouts/create.md?api-version=preview) to create a payout from your payments revenue. Pass your Financial Account ID in the `payout_method` parameter and the amount to transfer from your [Balance v1](https://docs.stripe.com/api/balance/balance_object.md).

```curl
curl https://api.stripe.com/v1/payouts \
  -u "<<YOUR_SECRET_KEY>>:" \
  -d "payout_method={{FINANCIALACCOUNTID_ID}}" \
  -d amount=250 \
  -d currency=usd
```

Call the [Received Credit API v2](https://docs.stripe.com/api/v2/money-management/received-credits/retrieve.md?api-version=preview) to retrieve your current and pending ReceivedCredits for funds into your Financial Account.

```curl
curl https://api.stripe.com/v2/money_management/received_credits \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.preview"
```

To review the outgoing transfer from your balance, call the [Payouts API v1](https://docs.stripe.com/api/payouts/retrieve.md?api-version=preview) to inspect the outgoing transfer from your `/v1/balance`.

### Set up recurring transfers 

You can set up a recurring transfer from your Stripe payments balance to your financial account. You can set a target amount to be transferred or you can transfer all of your earnings when they settle into your payments balance.

To configure a recurring transfer from your payments balance, you must be on an automatic payout schedule.

1. On the [Balances](https://dashboard.stripe.com/balances) page, click **Payments balance**.
2. Click **Recurring transfers**.
3. Choose the currency that you want to set up.
4. Select whether you want to transfer a target amount or all of your payments balance.
5. Click **Save**.

## View funding status 

You can view the status of your funding attempts in the Dashboard or with the API.

#### Dashboard

1. Navigate to **Balances** > **Financial account**.
2. View the list of transactions into and out of your financial account.
3. Click a specific funding transaction to see a timeline view, the transaction ID, and an itemized receipt with details of the transaction.

#### API

To retrieve the status of a funding attempt, call the Transactions API and pass the funding attempt ID (either InboundTransfer or ReceivedCredit ID) in the `flow` parameter.

```curl
curl -G https://api.stripe.com/v2/money_management/transactions \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.preview" \
  -d "flow={{FLOWID_ID}}"
```

Use the `status` parameter in the response to determine the status of the funding attempt. A funding attempt can be `pending`, `posted` and available for use, or `void`.

To retrieve an itemized receipt, use either the InboundTransfers or ReceivedCredit API to retrieve details of the funding attempt. The response includes a URL to an itemized receipt.

To move funds out of your financial account, see [Transfer and send money](https://docs.stripe.com/treasury/transfer-send.md#transfer-money). If your financial account holds a stablecoin balance, see [Move money from a stablecoin balance](https://docs.stripe.com/treasury/transfer-send.md#stablecoin-payouts).
